Bug 479636 - Empty desktop displayed on login after locale change
Empty desktop displayed on login after locale change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xdg-user-dirs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 04:49 EST by Joel Rees
Modified: 2015-03-03 17:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:05:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Rees 2009-01-12 04:49:37 EST
Description of problem:
After changing the login locale from Japanese to English or from English to Japanese, and accepting the offer to change the folder names to the new language, after logging out and back in, the displayed desktop is empty, accept for the computer, home, and trash icons.

Investigation shows that the desktop folder has been duplicated, the original still exists, and a new one in the language switched to, the latter being empty. If I log out and use an admin account to manually move the folder, it shows correctly once or twice, but then switching the locale back creates the reverse naming problem.


Version-Release number of selected component (if applicable):
Not sure where to find the version number of the Gnome desktop, but this is Fedora 10, upgraded from F7, with all the current updates as of today (about 5:00 pm JST, 12 January 2009).

Oh, wait, yum info says version 2.24.2 of release 1.fc10.

How reproducible:
Very. Can't get it to quit.

Steps to Reproduce:
1. Select new locale on login.
2. Allow the folders to be renamed to the new locale.
3. Logout out and back in.
  
Actual results:
Multiple desktop folders, with different contents.

Expected results:
The original desktop folder should get renamed, and its contents should show on the desktop.

(Actually, I think the renaming idea is not the best idea. I think I would prefer the folders to be named in Latin locale, and softlinked with names in the new locale, and maybe hiding the originals. If it would work okay with other stuff.

Additional info:
I assume this will be a duplicate, but I couldn't find it with search terms such as "duplicate desktop folders" and "disappearing desktop".
Comment 1 Joel Rees 2009-01-12 04:51:14 EST
Woops. Permissions on the Desktop folder:

drwxr-xr-x 17 fam fam  4096 2008-11-04 17:17 デスクトップ
Comment 2 Bug Zapper 2009-06-09 06:40:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:43:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:05:42 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.